# Œ.js
## A JavaScript library similar to JQuery, that manipulates the DOM. By the way, this is my first JS library.
___
### Functions:
1. `show()`:
  - Displays a hidden DOM element. If the DOM element is visible already, it will do nothing.
  - Syntax:
    ```javascript
    œ(selector).show();
    ```
2. `hide()`:
  - Hides a visible DOM element. If the DOM element is already hidden, it will do nothing.
  - Syntax:
    ```javascript
    œ(selector).hide();
    ```
3. `html(value)` or `html()`:
  - Sets or returns the content of a given HTML element.
  - Syntax:
    ```javascript
    // To set content:
    œ(selector).html(value);
    
    // To return content:
    var x = œ(selector).html();
    ```