(function () {
  // œ returns new Library object that hold our selector. Ex: œ('.theme')
  var œ = function (params) {
    return new library(params);
  };
     
  var library = function (params) {
    /* Get all elements in the document that matches a specified selector(s),
    as a static NodeList object */
    var selector = document.querySelectorAll(params), count = 0;
        
    // Get NodeList object length
    this.length = selector.length;
     
    // Store NodeList objects in form array of objects for method chaining
    for (; count < this.length; count++) {
      this[count] = selector[count];
    }
      
    // Return as object
    return params;        
  };
 
  // Assign our œ object to global window object.
  if(!window.œ) {
    window.œ = œ;  
  }
  // Extend the library object
  œ.fn = library.prototype = {
    // This method hides the selected element(s)
    hide: function () {
      var len = this.length;

      // Here we simply loop through our object (this) and set the css to display none. 
      while (len--) {
        this[len].style.display = 'none';
      }

      // If you want to chain methods, it's important to return this.
      return this;
    },

    // This method shows the hidden, selected elements
    show: function () {
      var len = this.length;

      while (len--) {
        this[len].style.display = 'block';
      }

      return this;
    },
    
    // Sets the content of selected element(s)
    html: function (val) {
      var len = this.length;
      while (len--) {
        this[len].innerHTML = val;
        console.log(this[len]);
      }

      return this;
    },

    // Returns the content of selected element(s)       
    html: function () {
      var len = this.length;
      if(len > 1){
      var getterObj = {};
      while (len--) {
        getterObj[len] = this[len].innerHTML;
        console.log(len);
      }

        return getterObj;
      } else {
        return this[--len].innerHTML;   
      }
    }
  };
})();